# RPM specfile for ggv module
# Generated Wed Nov 19 20:30:45 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from 

%define nam	ggv
%define ver	2.4.0
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	ggv
Version: 	2.4.0
Release:	0.ximian.6.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/ggv/
Source0:	ggv-2.4.0.tar.bz2
Patch0:		ggv-ximian-menus.patch
BuildRequires:	GConf2-devel
BuildRequires:	ghostscript-devel
BuildRequires:	ORBit2-devel
BuildRequires:	popt
BuildRequires:	esound-devel
BuildRequires:	pkgconfig
BuildRequires:	cups-devel
BuildRequires:	gettext
BuildRequires:	libgnomeui-devel >= 1.96.0
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	scrollkeeper
Summary:	GNOME PostScript/PDF viewer
Group:		X11/Utilities
Provides:	ximian-ggv = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf2
Prereq:	scrollkeeper

%description
 ggv is a graphical frontend to ghostscript which allows you to view 
postscript and pdf documents, and print ranges of pages.
It is very comfortable due to many zoom and an anti-aliasing option and
following the GNOME look and feel.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/usr/bin/*
/usr/libexec/*
/usr/share/omf/*
/usr/share/applications/*
/usr/share/gnome/help/*
/usr/lib/bonobo/servers/*
/usr/share/pixmaps/*
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/idl/*
/usr/share/gnome-2.0/ui/*
/etc/gconf/schemas/*


%post
GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/ggv.schemas


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ggv-2.4.0
    ;;
all)
%setup  -q -n ggv-2.4.0
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 2.4.0-0.ximian.6.1
- Summary: New build.
- New automated build.

* Tue Apr 29 2003 Ximian, Inc.

- Version: 1:1.99.98-1.ximian.2
- Summary: New build.
- New automated build.

* Mon Oct 21 2002 Ximian, Inc.

- Version: 1.99.95-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Aug 29 2002 Ximian, Inc.

- Version: 1:1.99.90-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Jul 31 2002 Ximian, Inc.

- Version: 1.99.9-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Jul 25 2002 Ximian, Inc.

- Version: 1.99.8-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Jul 15 2002 Ximian, Inc.

- Version: 1.99.7-1.ximian.1
- Summary: New build.
- New automated build.

* Mon May 6 2002 Ximian, Inc.

- Version: 1:1.0.2-4.ximian.1
- Summary: New build.
- New automated build.

* Sat May 4 2002 Ximian, Inc.

- Version: 1.0.1-ximian.2
- Summary: New build.
- New automated build.

